<?php
//enque admin styles and scripts

$page = array_key_exists('page',$_GET) ? $_GET['page'] : null;
$action = array_key_exists('action',$_GET) ? $_GET['action'] : null;

if($page == 'ws-my-contests' ||  $page == 'ws-my-contest-settings' || $page == 'ws-add-contest-entry'){
	
	function ws_contest_entry_admin_scripts() {
		wp_enqueue_style( 'awesome-font', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css' );
		wp_enqueue_script( 'ws-contest-entry-data-val','https://ajax.aspnetcdn.com/ajax/jquery.validate/1.14.0/jquery.validate.min.js' , array(), '1.14.0', true );
		wp_enqueue_script('jquery-ui-datepicker');
		wp_enqueue_style('jquery-style', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css');
		wp_enqueue_style( 'ws-contest-entry-admin-css', plugins_url( 'ws-contest-entry/admin/css/ws-contest-entry-admin.css') );
		wp_enqueue_script( 'ws-contest-entry-admin-js',plugins_url( 'ws-contest-entry/admin/js/js.js') , array(), '1.0.0', true );
		wp_enqueue_script('jquery');
	  wp_enqueue_media ();
	}
	add_action( 'admin_enqueue_scripts', 'ws_contest_entry_admin_scripts' );

}

//register MY_CPTs
add_action( 'init', 'register_ws_contests' );
function register_ws_contests() {

	$args=array(
		'public' => false,
	);
	register_post_type( 'ws_contests', $args );
}

// create admin menu
add_action( 'admin_menu', 'ws_contest_entry_menu' );
function ws_contest_entry_menu() {
	
	add_menu_page( 'My Contests', 'My Contests', 'manage_options', 'ws-my-contests', 'ws_my_contest', 'dashicons-star-filled','26.35' );
	add_submenu_page( 'ws-my-contests', 'Add Contest', 'Add Contest','manage_options', 'ws-add-contest-entry', 'ws_my_contest' ); 
	
}

function ws_my_contest() {
	
	$page = array_key_exists('page',$_GET) ? $_GET['page'] : null;
	$action = array_key_exists('action',$_GET) ? $_GET['action'] : null;
	
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	} 
	
	//lets get rid of some old settings
	if( get_option( 'ws_contest_server_type' ) ) {
		delete_option( 'ws_contest_server_type' );
	}
	
	
	include( plugin_dir_path( __FILE__ ) . '/inc/functions.php');
	
		if( ($page=='ws-my-contests' && $action == 'edit') ||  $page=='ws-add-contest-entry' ){
			
			include( plugin_dir_path( __FILE__ ) . '/inc/settings.php');
		}elseif( ($page=='ws-my-contests' && $action == 'delete') ){
			include( plugin_dir_path( __FILE__ ) . '/inc/delete-my-contest.php');
		}elseif($page=='ws-my-contests'){
			
			include( plugin_dir_path( __FILE__ ) . '/inc/list-contests.php');
			
		}
	
	
}// end contest data menu
?>
