<?php

	$mycid = 0;
	$cid = '';
	$ws_contest_name="";
	
	$action = (isset($_GET['action']) ? $_GET['action'] : null);
	$ws_error = (isset($_GET['ws_error']) ? $_GET['ws_error'] : null);
	
	// form action
	$form_action = admin_url('admin.php?page=ws-add-contest-entry&noheader=true');
	
	// we are editing a contest
	
	if(isset($_GET['mycid'])){
		
		$mycid = $_GET['mycid'];
		$cid = get_post_meta($mycid, 'ws_contest_id', true);
		$ws_contest_name = get_post( $mycid ); 
		$ws_contest_name = $ws_contest_name->post_title;
		
		// form action
		$form_action = admin_url("admin.php?page=ws-my-contests&action=edit&mycid=$mycid");
	
	}
	
	if($_SERVER['REQUEST_METHOD'] == 'POST'){
		
		if ( ! isset( $_POST['ws_contest_entry_nonce'] ) || ! wp_verify_nonce( $_POST['ws_contest_entry_nonce'], 'save_ws_contest' )){
			wp_redirect( admin_url("admin.php?page=ws-add-contest-entry&ws_error=nonce") ); 
			exit;
		}
		
		if($_POST['ws_contest_name'] != "" && $_POST['ws_contest_id'] != ""){
			
			// start post
			$cid = $_POST['ws_contest_id'];
			
			
			
			// ws name
			if($_POST['ws_contest_name'] != $ws_contest_name){
				$ws_contest_name = $_POST['ws_contest_name'];
			}
			
			
				$my_post = array(
					'ID'=> $mycid,
				  'post_title'    => $ws_contest_name,
				  'post_content'  => '',
				  'post_status'   => 'publish',
				  'post_type'=> 'ws_contests',
				  'comment_status'=>'closed',
				  
				);
			 
			// Insert the post into the database
			$mycid = wp_insert_post( $my_post );
			update_post_meta($mycid,'ws_contest_id', $cid);
			
			if($mycid != 0 && $mycid != 'WP_Error' && $action != 'edit'){
				wp_redirect( admin_url("admin.php?page=ws-my-contests&action=edit&mycid=".$mycid."") ); 
				exit;
			}
			
		}else{
			wp_redirect( admin_url("admin.php?page=ws-add-contest-entry&ws_error=true") ); 
			exit;
		}
		
		
	// end if post
	}
	
	?>
<div class="wrap contest-entry-admin">
<h2>Contest Settings</h2>
<form method="POST" action="<?php echo $form_action; ?>" id="ws_contest_form"> 
	
	 <?php wp_nonce_field( 'save_ws_contest', 'ws_contest_entry_nonce' ); ?>
	 <?php if($ws_error == 'nonce'){ ?><p class="error-top">Security Check Failed</p><?php } ?>
	 
	 <?php if($ws_error == 'true'){ ?><p class="error-top">All Fields are Required.</p><?php } ?>
	 
	<div class="admin-form-field">
		<label for="ws_contest_name" class="section-head">Contest Name <span class="required">*</span></label>
		<input type="text" name="ws_contest_name" value="<?php esc_attr_e( $ws_contest_name ); ?>"  required />
	 </div>
	 
	 <div class="admin-form-field">
		<label for="ws_contest_id" class="section-head">Contest ID <span class="required">*</span></label>
		<input type="text" name="ws_contest_id" value="<?php esc_attr_e( $cid ); ?>"  required />
	 </div>

	<?php if($action == 'edit'){ ?>
			<p class="ws-contest-shortcode">shortcode: [contestform id="<?php esc_attr_e($mycid); ?>"]</p>
	<?php } ?>
	 
	  
	 
	<?php submit_button(); ?>
</form>
</div>
